Design Documentation

Bug #843056 reported by klmitch on 2011-07-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
High
Joseph Heck

Bug Description

Add use cases and explain components better.

Joseph Heck (heckj) on 2011-10-21
Changed in keystone:
assignee: nobody → Joseph Heck (heckj)

Reviewed: https://review.openstack.org/1013
Committed: http://github.com/openstack/keystone/commit/20c2adb9acdc5a16c4e0234eb9f4708292a30bec
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 20c2adb9acdc5a16c4e0234eb9f4708292a30bec
Author: Joe Heck <email address hidden>
Date: Thu Oct 20 17:06:44 2011 -0700

    updating keystone developer documentation
    updating docstrings to remove errors in automodule generation
    updating setup.py to generate source documentation
    blueprint keystone-documentation
    bug 843056

    Change-Id: Ie8dfedc89c1a6d9ffa5106d29dd19837b02746ce

Changed in keystone:
status: Confirmed → Fix Committed
Joseph Heck (heckj) wrote :

After reading through the initial swag on the developer documentation, there's still some confusion about endpointTemplates that I'd like to document a little more thoroughly to make it more amenable to setting up.

Changed in keystone:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/1089
Committed: http://github.com/openstack/keystone/commit/c18c093573975e0ac29276acc7ef1f6f40c4f91f
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit c18c093573975e0ac29276acc7ef1f6f40c4f91f
Author: Joe Heck <email address hidden>
Date: Tue Oct 25 10:03:31 2011 -0700

    updates to keystone documentation - install & conf
    bug 843056
    blueprint keystone-documentation

    Change-Id: I34004c8b75bc2c593d959af155b2749c09c2276d

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/1109
Committed: http://github.com/openstack/keystone/commit/cf803ba266438338947e080332ba680209cab786
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit cf803ba266438338947e080332ba680209cab786
Author: Dolph Mathews <email address hidden>
Date: Wed Oct 26 10:14:44 2011 -0500

    Revised documentation build process (bug #843056)

    - Manual method now produces docs in the same location as setup.py
    - Added manual command to build man pages
    - Manual method is now executable from the project root
      - To conform with similar commands
    - Generated sourcecode rst's are now ignored by git
    - Removed unused gitignore entries related to docs

    Change-Id: I86fb38cdee957f5ba6717e1438494c7a148f4855

Reviewed: https://review.openstack.org/1110
Committed: http://github.com/openstack/keystone/commit/6fc3e76f09e3de595d4cace909c874b48eead9a5
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 6fc3e76f09e3de595d4cace909c874b48eead9a5
Author: Dolph Mathews <email address hidden>
Date: Wed Oct 26 10:54:41 2011 -0500

    Removed contributor doc build info from project README (bug #843056)

    Change-Id: I4a427284ebdaa104a89435945bbe88f3bf4d6299

Reviewed: https://review.openstack.org/1188
Committed: http://github.com/openstack/keystone/commit/043715e95cd206ddef2d3f23bb4d183359bf1784
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 043715e95cd206ddef2d3f23bb4d183359bf1784
Author: Dolph Mathews <email address hidden>
Date: Wed Oct 26 10:54:41 2011 -0500

    Moving contributor docs into rst (bug #843056)

    - Added "Setting up a development environment" doc
      - Removed related info from pip-requires & project README
    - Added "Testing" doc
      - Removed related info from project README
    - Also removed contributor doc build info from project README (bug #843056)
    - Updated version string to '2012.1-dev'

    Change-Id: I58c79acd91dc391e3fa85911d09f74ad54d9d444

Reviewed: https://review.openstack.org/1348
Committed: http://github.com/openstack/keystone/commit/ed6731687525693751915881df20b951accc8d84
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit ed6731687525693751915881df20b951accc8d84
Author: Joe Heck <email address hidden>
Date: Thu Oct 20 17:06:44 2011 -0700

    updating keystone developer documentation
    updating docstrings to remove errors in automodule generation
    updating setup.py to generate source documentation
    blueprint keystone-documentation
    bug 843056

    Change-Id: Ie8dfedc89c1a6d9ffa5106d29dd19837b02746ce

Reviewed: https://review.openstack.org/1351
Committed: http://github.com/openstack/keystone/commit/2333a60e6f274c08e204db72f55991e4ab99fb91
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit 2333a60e6f274c08e204db72f55991e4ab99fb91
Author: Joe Heck <email address hidden>
Date: Tue Oct 25 10:03:31 2011 -0700

    updates to keystone documentation - install & conf
    bug 843056
    blueprint keystone-documentation

    Change-Id: I34004c8b75bc2c593d959af155b2749c09c2276d

Reviewed: https://review.openstack.org/1352
Committed: http://github.com/openstack/keystone/commit/8566482817d0048c63b4c784b35e6470d43e9ba4
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit 8566482817d0048c63b4c784b35e6470d43e9ba4
Author: Dolph Mathews <email address hidden>
Date: Wed Oct 26 10:14:44 2011 -0500

    Revised documentation build process (bug #843056)

    - Manual method now produces docs in the same location as setup.py
    - Added manual command to build man pages
    - Manual method is now executable from the project root
      - To conform with similar commands
    - Generated sourcecode rst's are now ignored by git
    - Removed unused gitignore entries related to docs

    Change-Id: I86fb38cdee957f5ba6717e1438494c7a148f4855

Reviewed: https://review.openstack.org/1353
Committed: http://github.com/openstack/keystone/commit/daa4930e7f3343d61f074cb11bab17eaa7445d0b
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit daa4930e7f3343d61f074cb11bab17eaa7445d0b
Author: Dolph Mathews <email address hidden>
Date: Wed Oct 26 10:54:41 2011 -0500

    Removed contributor doc build info from project README (bug #843056)

    Change-Id: I4a427284ebdaa104a89435945bbe88f3bf4d6299

Reviewed: https://review.openstack.org/1355
Committed: http://github.com/openstack/keystone/commit/8df26cb44947b75e4ae66b57f3273a65b8f9ffdf
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit 8df26cb44947b75e4ae66b57f3273a65b8f9ffdf
Author: Dolph Mathews <email address hidden>
Date: Wed Oct 26 10:54:41 2011 -0500

    Moving contributor docs into rst (bug #843056)

    - Added "Setting up a development environment" doc
      - Removed related info from pip-requires & project README
    - Added "Testing" doc
      - Removed related info from project README
    - Also removed contributor doc build info from project README (bug #843056)
    - Updated version string to '2012.1-dev'

    Change-Id: I58c79acd91dc391e3fa85911d09f74ad54d9d444

Thierry Carrez (ttx) on 2011-11-09
Changed in keystone:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in keystone:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in keystone:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers